Subject: San Antonio INS and Card facility number

From: [email-masked] (Honghua Yang)
Date: Thu, 10 Mar 94 12:31:59 CST

Hi there,

  My husband is a lad, and he got a letter from San Antonio INS
last week asking him to do the final processing for his card on Mar. 23.
He has already done fingerprints during his interview last Oct.
I guess INS wants him to do it again. I know there are other lads
in Austin, Texas who have not received the recent letter from INS.

 I accidentally deleted the mail that has the INS Card Facility number.
Could someone forward me a copy of that mail?

Thanks,

HHY